Skip to content

Security

All operations require authentication.

14 operationsv1/email/exchange
Agent setup

List authentication policiesProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/authenticationPolicy

List authentication policies. Returns the IDs of the authentication policies. Filter them by the legacy or modern authentication blocked on a protocol, such as blockLegacyAuthImap.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Query parameters

blockLegacyAuthActiveSync
boolean

Filter the value of blockLegacyAuthActiveSync property (=)

blockLegacyAuthAutodiscover
boolean

Filter the value of blockLegacyAuthAutodiscover property (=)

blockLegacyAuthImap
boolean

Filter the value of blockLegacyAuthImap property (=)

blockLegacyAuthMapi
boolean

Filter the value of blockLegacyAuthMapi property (=)

blockLegacyAuthOfflineAddressBook
boolean

Filter the value of blockLegacyAuthOfflineAddressBook property (=)

blockLegacyAuthPop
boolean

Filter the value of blockLegacyAuthPop property (=)

blockLegacyAuthWebServices
boolean

Filter the value of blockLegacyAuthWebServices property (=)

blockModernAuthActiveSync
boolean

Filter the value of blockModernAuthActiveSync property (=)

blockModernAuthAutodiscover
boolean

Filter the value of blockModernAuthAutodiscover property (=)

blockModernAuthImap
boolean

Filter the value of blockModernAuthImap property (=)

blockModernAuthMapi
boolean

Filter the value of blockModernAuthMapi property (=)

blockModernAuthOfflineAddressBook
boolean

Filter the value of blockModernAuthOfflineAddressBook property (=)

blockModernAuthPop
boolean

Filter the value of blockModernAuthPop property (=)

blockModernAuthWebServices
boolean

Filter the value of blockModernAuthWebServices property (=)

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/authenticationPolicy \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an authentication policyProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/authenticationPolicy/{id}

Get an authentication policy. Returns, for each protocol, whether legacy and modern authentication are blocked: ActiveSync, Autodiscover, IMAP, MAPI, offline address book, POP and web services.

Path parameters

exchangeService
required
string

The internal name of your exchange service

id
required
integer

Authentication policy id

organizationName
required
string

The internal name of your exchange organization

Response

200exchangeServiceAuthenticationPolicysuccessful operation
blockLegacyAuthActiveSync
read-only
boolean

Block legacy authentication on ActiveSync

blockLegacyAuthAutodiscover
read-only
boolean

Block legacy authentication on Autodiscover

blockLegacyAuthImap
read-only
boolean

Block legacy authentication on Imap

blockLegacyAuthMapi
read-only
boolean

Block legacy authentication on Mapi

blockLegacyAuthOfflineAddressBook
read-only
boolean

Block legacy authentication on Offline Address Book

blockLegacyAuthPop
read-only
boolean

Block legacy authentication on Pop

blockLegacyAuthWebServices
read-only
boolean

Block legacy authentication on Web Services

blockModernAuthActiveSync
read-only
boolean

Block modern authentication on ActiveSync

blockModernAuthAutodiscover
read-only
boolean

Block modern authentication on Autodiscover

blockModernAuthImap
read-only
boolean

Block modern authentication on Imap

blockModernAuthMapi
read-only
boolean

Block modern authentication on Mapi

blockModernAuthOfflineAddressBook
read-only
boolean

Block modern authentication on Offline Address Book

blockModernAuthPop
read-only
boolean

Block modern authentication on Pop

blockModernAuthWebServices
read-only
boolean

Block modern authentication on Web Services

id
read-only
integer

Authentication policy id

Example uses exchangeService = string, id = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/authenticationPolicy/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "blockLegacyAuthActiveSync": true, "blockLegacyAuthAutodiscover": true, "blockLegacyAuthImap": true, "blockLegacyAuthMapi": true, "blockLegacyAuthOfflineAddressBook": true, "blockLegacyAuthPop": true, "blockLegacyAuthWebServices": true, "blockModernAuthActiveSync": true, "blockModernAuthAutodiscover": true, "blockModernAuthImap": true, "blockModernAuthMapi": true, "blockModernAuthOfflineAddressBook": true, "blockModernAuthPop": true, "blockModernAuthWebServices": true, "id": 0}

Get the impersonated userProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser

Get the impersonated user. Returns the UPN, state, creation date and last password change of the user with impersonation rights on all mailboxes.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200exchangeAccountImpersonationsuccessful operation
creationDate
read-only
stringdate-time

Creation date

lastPasswordChange
read-only
stringdate-time

Last password update date

state
read-only
ObjectStateEnum

User state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

Pending task id

upn
read-only
string

User Principal Name

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "lastPasswordChange": "2024-01-01T12:00:00Z", "state": "creating", "taskPendingId": 0, "upn": "string"}

Create the impersonated userProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser

Create the impersonated user. Creates a user with impersonation rights on all mailboxes of the service, with the given password, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

password
required
stringpassword

password for the user

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete the impersonated userProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser

Delete the impersonated user. Deletes the user with impersonation rights on all mailboxes, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Change the impersonated user passwordProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser/changePassword

Change the impersonated user password. Sets the new password of the impersonated user of the service, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

password
required
stringpassword

new password

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonatedUser/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Get the impersonation password policyProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonationPasswordPolicy

Get the impersonation password policy. Returns the password policy of the impersonated user: complexity, minimum length, password age, history and lockout settings.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200passwordPolicysuccessful operation
complexityEnabled
boolean

enable policy for strong and secure passwords

lockoutDuration
integer

number of minutes account will remain locked if it occurs

lockoutThreshold
integer

number of attempts before account is locked

maxPasswordAge
integer

maximum number of days that account's password is valid before expiration

minPasswordAge
integer

minimum number of days before being able to change account's password

minPasswordLength
integer

minimum number of characters password must contain

passwordHistoryCount
integer

number of historical passwords that cannot be reused

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/impersonationPasswordPolicy \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "complexityEnabled": true, "lockoutDuration": 0, "lockoutThreshold": 0, "maxPasswordAge": 0, "minPasswordAge": 0, "minPasswordLength": 0, "passwordHistoryCount": 0}

Get the service protocolsProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol

Get the service protocols. Returns whether POP, IMAP, webmail and ActiveSync are enabled on the service, and the ActiveSync policy applied to new devices.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200exchangeServiceProtocolsuccessful operation
IMAP
boolean

IMAP protocol enabled on this Exchange service

POP
boolean

POP protocol enabled on this Exchange service

activeSync
boolean

ActiveSync protocol enabled on this Exchange service

activeSyncPolicy
ActiveSyncPolicyEnum

ActiveSync policy to apply at device's first connection

Valuesallowblockquarantine
creationDate
read-only
stringdate-time

Creation date

lastUpdate
read-only
stringdate-time

Last update date

taskPendingId
read-only
integer

Pending task id

webMail
boolean

Web mail protocol enabled on this Exchange service

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "IMAP": true, "POP": true, "activeSync": true, "activeSyncPolicy": "allow", "creationDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "taskPendingId": 0, "webMail": true}

Update the service protocolsProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol

Update the service protocols. Enables or disables POP, IMAP, webmail and ActiveSync on the service, and sets the ActiveSync policy applied to new devices: allow, block or quarantine.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

IMAP
boolean

IMAP protocol enabled on this Exchange service

POP
boolean

POP protocol enabled on this Exchange service

activeSync
boolean

ActiveSync protocol enabled on this Exchange service

activeSyncPolicy
ActiveSyncPolicyEnum

ActiveSync policy to apply at device's first connection

Valuesallowblockquarantine
creationDate
read-only
stringdate-time

Creation date

lastUpdate
read-only
stringdate-time

Last update date

taskPendingId
read-only
integer

Pending task id

webMail
boolean

Web mail protocol enabled on this Exchange service

Response

200—successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol \
  -H "authorization: Bearer $OVH_TOKEN"

List ActiveSync notified accountsProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification

List ActiveSync notified accounts. Returns the IDs of the accounts that receive the ActiveSync quarantine notifications.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an ActiveSync notified accountProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification/{notifiedAccountId}

Get an ActiveSync notified account. Returns the email address and state of an account that receives the ActiveSync quarantine notifications.

Path parameters

exchangeService
required
string

The internal name of your exchange service

notifiedAccountId
required
integer

Notified Account Id

organizationName
required
string

The internal name of your exchange organization

Response

200exchangeServiceActiveSyncNotificationsuccessful operation
creationDate
read-only
stringdate-time

Creation date

notifiedAccountId
read-only
integer

Notified Account Id

primaryEmailAddress
read-only
string

Primary email address for notified account

state
read-only
activeSyncNotificationStateEnum

Email state

Valuescreatingdeletingok

Example uses exchangeService = string, notifiedAccountId = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification/{notifiedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "notifiedAccountId": 0, "primaryEmailAddress": "string", "state": "creating"}

Add an ActiveSync notified accountProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification

Add an ActiveSync notified account. Subscribes the account given by notifiedAccountId to the ActiveSync quarantine notifications, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

notifiedAccountId
required
integer

Exchange Account Id

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove an ActiveSync notified accountProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification/{notifiedAccountId}

Remove an ActiveSync notified account. Unsubscribes the account from the ActiveSync quarantine notifications, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

notifiedAccountId
required
integer

Notified Account Id

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, notifiedAccountId = 0, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/protocol/activeSyncMailNotification/{notifiedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update spam and virus flagsProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/updateFlagsOnAllAccounts

Update spam and virus flags. Applies the spam and virus configuration of the service (spamAndVirusConfiguration) to all its active email accounts.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200—successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/updateFlagsOnAllAccounts \
  -H "authorization: Bearer $OVH_TOKEN"